
From: Andi Kleen <ak@suse.de>

Add NUMA API system calls on x86-64
DESC
numa api: Bitmap bugfix
EDESC
From: Andi Kleen <ak@suse.de>

Bugfix to prevent miscompilation on gcc 3.2 of bitmap.h


---

 25-akpm/include/asm-x86_64/unistd.h |    4 ++--
 25-akpm/include/linux/bitmap.h      |    3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN include/asm-x86_64/unistd.h~numa-api-x86_64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~numa-api-x86_64	2004-04-27 20:13:10.529252456 -0700
+++ 25-akpm/include/asm-x86_64/unistd.h	2004-04-27 20:13:10.533251848 -0700
@@ -534,7 +534,7 @@ __SYSCALL(__NR_utimes, sys_utimes)
 __SYSCALL(__NR_vserver, sys_ni_syscall)
 #define __NR_vserver		236
 __SYSCALL(__NR_vserver, sys_ni_syscall)
-#define __NR_mbind 			237
+#define __NR_mbind 		237
 __SYSCALL(__NR_mbind, sys_ni_syscall)
 #define __NR_set_mempolicy 	238
 __SYSCALL(__NR_set_mempolicy, sys_ni_syscall)
@@ -546,7 +546,7 @@ __SYSCALL(__NR_mq_open, sys_mq_open)
 __SYSCALL(__NR_mq_unlink, sys_mq_unlink)
 #define __NR_mq_timedsend 	242
 __SYSCALL(__NR_mq_timedsend, sys_mq_timedsend)
-#define __NR_mq_timedreceive 243
+#define __NR_mq_timedreceive	243
 __SYSCALL(__NR_mq_timedreceive, sys_mq_timedreceive)
 #define __NR_mq_notify 		244
 __SYSCALL(__NR_mq_notify, sys_mq_notify)
diff -puN include/linux/bitmap.h~numa-api-x86_64 include/linux/bitmap.h
--- 25/include/linux/bitmap.h~numa-api-x86_64	2004-04-27 20:13:15.393512976 -0700
+++ 25-akpm/include/linux/bitmap.h	2004-04-27 20:13:15.395512672 -0700
@@ -29,7 +29,8 @@ static inline void bitmap_fill(unsigned 
 static inline void bitmap_copy(unsigned long *dst,
 			const unsigned long *src, int bits)
 {
-	memcpy(dst, src, BITS_TO_LONGS(bits)*sizeof(unsigned long));
+	int len = BITS_TO_LONGS(bits)*sizeof(unsigned long);
+	memcpy(dst, src, len);
 }
 
 void bitmap_shift_right(unsigned long *dst,

_
